(function(){
var additionalData = [
["title.html","Network Error Simulation Manual",
"Network Error Simulation Manual\nVersion 6.0\n\tNintendo Confidential\n\tThe content of this document is highly confidential and should be handled accordingly. The content of this document cannot be duplicated, copied, reprinted, transferred, distributed, or loaned, in whole or in part, without the prior approval of Nintendo. This document contains confidential and proprietary information of Nintendo, and is protected under confidentiality agreements as well as the intellectual property laws of the United States and of other countries. No part of this document may be released, distributed, transmitted, or reproduced in any form, including by any electronic or mechanical means and by including within information storage and retrieval systems, without written permission from Nintendo.\n © 2017 Nintendo. All rights reserved. All company and product names in this document are the trademarks or registered trademarks of their respective companies.\nCTR-06-0332-001-G\n",0]
,["Pages/Page_25691596.html","3. Using the Account Developer Portal",
"3. Using the Account Developer Portal\n",0]
,["Pages/Page_25691596.html#PageId_25692970","3.1. Accessing the Account Developer Portal",
"3.1. Accessing the Account Developer Portal\nAccess the Account Developer Portal using the following URL.\nWhen you click the Login To Account Developer Portal button on the top page, you are redirected to the OMAS login page. Enter your NDID and password.\n https://game-dev.accountportal.nintendo.net/\n Warning:\n You cannot perform this operation if you do not have any permissions to view the application on OMAS.\n",0]
,["Pages/Page_25691596.html#PageId_59490612","3.2. Adding Accounts",
"3.2. Adding Accounts\n To view and edit user account information for your Nintendo Network account on the Account Developer Portal, you must first register that user account to the Account Developer Portal. This registration is carried out in the Register area of the screen for managing Account Developer Portal test IDs, and registered information is stored for each NDID that logs in to the Account Developer Portal. You cannot register a user account that is already registered to another NDID. After you successfully register accounts, a list of registered accounts is displayed on the screen for managing test IDs. You can unregister a user account by clicking the Unregister button in the registered user account list. To re-register a user account after it has been unregistered, you can repeat the registration procedure. You can also click Delete to delete a user account. The user account is not only deleted from the Account Developer Portal, but it also can no longer be used from the 3DS system, so take great care when you use this feature.\n",0]
,["Pages/Page_25691596.html#PageId_25692977","3.3. Managing User-Related Information",
"3.3. Managing User-Related Information\nTo open a dashboard for a user, on the page for managing test IDs, select the user's Nintendo Network ID. On the dashboard, you can view information about that user that is registered with the account server. You can also perform the following actions from Action.\n",0]
,["Pages/Page_25691596.html#PageId_25692979","3.3.1. Editing Profiles",
"3.3.1. Editing Profiles\nYou can edit the following profile information. You cannot change the country.\n Table 3-1. Editing Profiles\n \tItem \tComments\n \tNintendo Network ID \tAlthough a user cannot change this value, it can be changed by Nintendo as part of service management. After an ID is changed, it can never be restored to its original value.\n \tDate of Birth \tAlthough a user cannot change this value, it can be changed by Nintendo as part of service management.\n \tGender \tYou can change this setting by using the account settings on the 3DS system.\n \tRegion \tYou can change this setting by using the account settings on the 3DS system. The available options differ according to the country.\n \tTime Zone \tYou can change this setting by using the account settings on the 3DS system. The available options differ according to the country.\n \tLanguage \tThis setting is not linked to the system settings on the 3DS system. Envisioned for use by non-Nintendo devices, this setting is not used by the 3DS console.\n \tEmail address \tYou can change this setting by using the account settings on the 3DS system.\n \tEmail confirmation complete? \tThis flag indicates whether the user has confirmed receipt for the email address.\n \tAccept email advertising? \tThis flag indicates whether to accept email advertising from Nintendo. This setting can be changed by using account settings on the 3DS console.\n \tUsed from off-device platform? \tThis flag indicates whether the Nintendo Network account will be used from a computer, smartphone, or other non-Nintendo device. This setting can be changed by using account settings on the 3DS console.\n \tIs email received? \tNot currently used (future support planned).\n \tUses two-factor authentication? \tNot currently used (future support planned).\n",0]
,["Pages/Page_25691596.html#PageId_47819979","3.3.2. Application Test Settings",
"3.3.2. Application Test Settings\nThe Developer Portal provides a feature for emulating responses to various errors when testing applications. You can change what the application does when using the network service by selecting a test item and application. Applications listed for selection are limited to those that you have viewing privileges for on OMAS and that are in \"Developing\" or later phase.\nTo check a particular error on the 3DS system, log in to the selected user account and have the application being checked execute any one of the following API functions for getting a service token.\n \tIndependent server token retrieval function (nn::act::applet::AcquireIndependentServiceTokenV2() or nn::act::applet::AcquireIndependentServiceToken()) \tMiiverse token retrieval function (nn::act::applet::AcquireOlvServiceToken()) \tE-commerce service token retrieval function (nn::act::applet::AcquireEcServiceToken())\n Table 3-2. Descriptions of Test Items\n \tTest Item \tDescription\n \tNotification of termination of service \tReturns the error code \"022-2882\" indicating that network service has terminated.\n \tMaintenance notification \tReturns the error code \"022-2881\" indicating that the network service is being maintained.\n \tUpgrade Notification \tReturns the error code \"022-2512\" indicating that an application update is required in order to use the network service.\n \tInvalid service token \tForce-returns an invalid service token.\n",0]
,["Pages/Page_25691596.html#PageId_47820000","3.3.3. Settings for Banning a User Account (BAN Management)",
"3.3.3. Settings for Banning a User Account (BAN Management)\nYou can ban the user account that is currently selected, to prohibit it from using the network service. When adding a ban, you can also configure the duration of the ban.\nThere are four types of bans.\n Table 3-3. Descriptions of Bans\n \tType of Ban \tDescription\n \tAccount Ban \t Prohibits the selected user from logging in to the Nintendo Network.\n In Type, select Account Ban.\n If a banned user attempts to log in, error code \"022-2802\" is generated (\"022-2822\" if a duration is configured) and the user cannot log in.\n \tAccount Ban by Wii U Title/Account Ban by 3DS Title \t Prohibits the selected user from using network services from a specific game. (The user can still log in to the Nintendo Network.)\n When you select a Ban Type of User+ Game, a list of selectable games appears along with the unique IDs and initial codes. Select the games that you want to prohibit the user from using.\n After a ban is set, if you call any of the API functions that retrieve a service token, error code \"022-2803\" is generated (\"022-2823\" if a duration is configured).\n \tAccount Ban by NEX Game Server \t Prohibits the selected user from using network services provided by a specific game server. (The user can still log in to the Nintendo Network.)\n When you select a Ban Type of User + Game Server, a list of selectable game servers appears along with the game server IDs. Select the game servers you want to prohibit the user from using.\n After a ban is set, if you call any of the API functions that retrieve a token for the NEX server, error code \"022-2804\" is generated (\"022-2824\" if a duration is configured).\n \tAccount Ban by Service \t Prohibits the selected user from using network services from a specific network service. (The user can still log in to the Nintendo Network.)\n When you select a Ban Type of User + Service, a list of selectable services appears along with the first four characters of the client ID. Select the services to prohibit the user from using.\n Selectable services include the independent servers that are visible in OMAS from the account that is logged in to the Account Developer Portal, and the following network services provided by Nintendo.\n \tMiiverse \tNintendo eShop\n After a ban is set, if you call any of the API functions that retrieve a token for an independent server, error code \"022-2805\" is generated (\"022-2825\" if a duration is configured).\n",0]
,["Pages/Page_25691596.html#PageId_38871298","3.3.4. Viewing Service Token Retrieval API Call History",
"3.3.4. Viewing Service Token Retrieval API Call History\nThis feature provides a history of calls to the API for retrieving service tokens. A list of applications appears. This list includes applications that are in the \"In Development\" or later phase that the logged-in account has permission to view in OMAS.\nThe service token retrieval API call history for the selected application is displayed along with the results of the calls. Note that you cannot view the history of the NEX server login API with this feature. Logs are also not shown in the following cases.\n \tUser account authentication error \tIncorrect client ID \tIncorrect application unique ID\n",0]
,["Pages/Page_25691596.html#PageId_39915270","3.3.5. Changing Passwords",
"3.3.5. Changing Passwords\nYou can use this feature to change the password for the selected user account.\nEnter a new password and click Submit to change the password.\n",0]
,["Pages/Page_25691596.html#PageId_59490626","3.3.6. Managing Accepted EULAs",
"3.3.6. Managing Accepted EULAs\nThis feature allows you to see the history of accepted End User License Agreements (EULAs) for the selected user account. You can also cancel the acceptance of a EULA by clicking Reset.\nIf acceptance of an EULA is canceled, error code \"022-2503\" occurs at login, and the user must agree to the EULA again before logging in.\n",0]
,["Pages/Page_25691596.html#PageId_25693047","3.4. Managing Device Information",
"3.4. Managing Device Information\nThe Associated Device(s) section on the user dashboard displays the devices that are associated with that user account. Selecting a device opens the dashboard for that device.\nYou can view information about that device on the dashboard. You can also perform the following actions from Action.\n",0]
,["Pages/Page_25691596.html#PageId_47820015","3.4.1. Settings for Banning a Device",
"3.4.1. Settings for Banning a Device\nYou can ban the device that is currently selected, to prohibit it from using the network service. When adding a ban, you can also configure the duration of the ban.\nThere are four types of bans.\n Table 3-4. Available Ban Types\n \tType of Ban \tDescription\n \tDevice Ban \t Prohibits access to Nintendo Network from the selected device.\n In Ban Type, select Device Ban.\n If a user attempts to log in from a banned device, error code \"022-2812\" is generated (\"022-2832\" if a duration is configured) and the user can no longer log in. The user can also no longer create new user accounts.\n \tDevice Ban by Title \t Prohibits the use of network services for a specific game from the selected device. (The user can still log in to the Nintendo Network.)\n When you select a Ban Type of Device+Game, a list of selectable games appears along with the unique IDs and initial codes. Select the games that you want to prohibit the user from using.\n After a ban is set, if you call any of the API functions that retrieve a service token, error code \"022-2813\" is generated (\"022-2833\" if a duration is configured).\n \tDevice Ban by NEX Game Server \t Prohibits the use of services provided by a specific game server from the selected device. (The user can still log in to the Nintendo Network.)\n When you select a Ban Type of Device + Game Server, a list of selectable game servers appears along with the game server IDs. Select the game servers you want to prohibit the user from using.\n After a ban is set, if you call any of the API functions that retrieve a token for the NEX server, error code \"022-2814\" is generated (\"022-2834\" if a duration is configured).\n \tDevice Ban by Service \t Prohibits the use of a specific network service from the selected device. (The user can still log in to the Nintendo Network.)\n When you select a Ban Type of Device + Service, a list of selectable services appears along with the first four characters of the client ID. Select the services to prohibit the user from using.\n Selectable services include the independent servers that are visible in OMAS from the account that is logged in to the Account Developer Portal, and the following network services provided by Nintendo.\n \tMiiverse \tNintendo eShop\n After a ban is set, if you call any of the API functions that retrieve a token for an independent server, error code \"022-2815\" is generated (\"022-2835\" if a duration is configured).\nCONFIDENTIAL\n",0]
,["Pages/Page_47818159.html","1. Introduction",
"1. Introduction\nThis document describes how to use the Account Developer Portal and Authentication Server Error Simulator, a tool that allows you to generate errors that do not occur during ordinary use to check error codes and error messages for software that supports Nintendo Network for 3DS.\nIn this documentation, \"3DS\" refers to the entire Nintendo 3DS family, and not just the Nintendo 3DS system.\n",0]
,["Pages/Page_47818159.html#PageId_111809388","1.1. Authentication Server Error Simulator",
"1.1. Authentication Server Error Simulator\nAfter connecting to the Internet, software that supports Nintendo Network must first communicate with an authentication server to validate the user information saved on the 3DS system.\nThe Authentication Server Error Simulator can create fake authentication errors.\n Note:\n Some network services, such as SpotPass, do not communicate with the authentication server.\n",0]
,["Pages/Page_47818159.html#PageId_82034773","1.2. Account Developer Portal",
"1.2. Account Developer Portal\nThe Account Developer Portal is a website that supports the development and debugging of software for developers who use the account server. The Account Developer Portal enables you to view and edit Nintendo Network account information saved on the account server, and to emulate the generation of errors that may occur when using the account server. An NDID (Nintendo Developer ID) is required in order to log in to the Account Developer Portal. If you already have an OMAS (Online title MAnagement System) account, you can continue to use those login credentials as an NDID. If you do not have an NDID, ask the person in charge of NDIDs at your company or in your section to issue you one.\nCONFIDENTIAL\n",0]
,["Pages/Page_47818161.html","2. Using the Authentication Server Error Simulator",
"2. Using the Authentication Server Error Simulator\n",0]
,["Pages/Page_47818161.html#PageId_47818232","2.1. Framework for the Authentication Server Error Simulator",
"2.1. Framework for the Authentication Server Error Simulator\nThe Authentication Server Error Simulator has the following framework.\n Figure 2-1. Framework for the Authentication Server Error Simulator\nA dummy authentication server—separate from the normal authentication server—has been set up to simulate error responses. Because the 3DS system’s connection is configured to use the dummy authentication server, a dummy domain name system server has also been set up to return fake DNS responses. To check errors, you must manually configure the DNS server settings, using the Nintendo 3DS Internet connection settings, so that the 3DS system’s DNS requests are sent to this dummy DNS server.\n",0]
,["Pages/Page_47818161.html#PageId_47818234","2.2. Setting Errors",
"2.2. Setting Errors\n",0]
,["Pages/Page_47818161.html#PageId_47818236","2.2.1. Manual DNS Settings for the Nintendo 3DS",
"2.2.1. Manual DNS Settings for the Nintendo 3DS\nYou can manually configure the Nintendo 3DS DNS settings with the following procedure.\n \tConnect your computer to the same access point as the Nintendo 3DS and access https://nas-err2.mng.nintendo.net/. In the authentication window that appears, enter the login ID and password that are automatically issued by OMAS. To verify the login ID and password on OMAS, in the Common Title Data Information of the title to be verified, see Error Simulation Server. \tThe error selection screen appears. Select any error with a 002 display code. \tCheck the IP address for the dummy DNS server listed in the How to Use field at the top of the error selection screen, and then configure that for the Nintendo 3DS. All other settings can be left as is. Disable the automatic acquisition of DNS and enter the IP address in the Primary DNS field under Advanced Settings. Leave Secondary DNS set to 000.000.000.000. \tSave those settings and make sure the connection test works.\n Note:\n Configure the dummy DNS server, using the Nintendo 3DS Internet connection settings, and not the access point settings. Special access point settings are not needed. If the connection test fails, verify again that the PC and Nintendo 3DS are connected to the same access point, using the same global IP address, and that the connection failure error does not have a display code that begins with 003.\n",0]
,["Pages/Page_47818161.html#PageId_47818240","2.2.2. Setting the Error Response",
"2.2.2. Setting the Error Response\nUse the following steps to configure the errors returned to the 3DS system.\n \tAs indicated in 2.2.1. Manual Domain Name Settings for the Nintendo 3DS, connect your computer to the same access point as the Nintendo 3DS and access https://nas-err2.mng.nintendo.net/. \tSelect the error code to return from the list. You can cause the selected response error to occur on a 3DS system for which the dummy DNS server settings were performed manually, and that is connected to the same access point as the PC that made the settings (regardless of the title).\n Table 2-1. List of Selectable Authentication Errors\n \tError Code \tCause\n \t 002-0101\n \t The response from the authentication server was empty.\n There is a problem with the authentication server or the network.\n \t 002-0101\n \t The authentication server returned an empty response code.\n This error is caused by a bug in the authentication server.\n \t 002-0102\n \t Service is stopped for this user (on the application server side).\n \t 002-0102\n \t Service is stopped for this user (on the friend server side).\n \t 002-0106\n \t A large number of user IDs have already been created for a single system.\n \t 002-0107\n \t Application information does not exist on the server.\n \t 002-0109\n \t Invalid information was returned to the authentication server during authentication.\n \t 002-0110\n \t Service for the application has ended.\n \t 002-0119\n \t The friend presence daemon version is old.\n \t 002-0120\n \t The application version is old.\n \t 002-0121\n \t The system has an invalid certificate.\n \t 002-0122\n \t An invalid connection was set.\n Try to connect to a different environment.\n \t 002-0123\n \t The card information is invalid.\n \t 002-0124\n \t This card is stopped.\n \t 002-0125\n \t Application information does not exist on the server.\n The reason for this error is different from the reason for 002-0107.\n \t 002-0999\n \t Service is stopped for this user (on the application server side).\n \t 002-0999\n \t Service is stopped for this user (on the friend server side).\n \t 002-3400\n \t HTTP status code of 400 (on the application server side).\n There is a problem on the authentication server.\n \t 002-3400\n \t HTTP status code of 400 (on the friend server side).\n There is a problem on the authentication server.\n \t 002-3503\n \t HTTP status code of 503 (on the application server side).\n The authentication server has stopped or is experiencing heavy network traffic.\n \t 002-3503\n \t HTTP status code of 503 (on the friend server side).\n The authentication server has stopped or is experiencing heavy network traffic.\n \t 003-21XX\n \t Failed to connect to the connection authentication server.\n \t 003-30XX\n \t There was a problem with the authentication server during Nintendo Zone authentication.\n \t 003-31XX\n \t There is a problem with the Nintendo Zone authentication server.\n \t 003-32XX\n \t Nintendo Zone authentication failed.\n \t None.\n \t Authentication was successful; the response was an invalid SVCLOC token (for licensee applications that use an independent server).\n Note: This can only be selected for titles that use an independent server.\n \t 002-4127\n \t Authentication was successful; the SVCLOC keyhash was invalid (for licensee applications that use an independent server).\n Note: This can only be selected for titles that use an independent server.\n Note:\n After friend server authentication succeeds, the same token is maintained until either the token expires or the CTR system is turned off. Consequently, to check errors on the friend server after authentication has succeeded (after checking for errors on the application server), you must turn off and then restart the 3DS system. You must also power-cycle the 3DS system to check for any 003-XXXX errors after checking for 002-XXXX errors. Checking without rebooting the 3DS can cause other errors.\n Note:\n In the default state, 003-21XX is set. Also, depending on the router or access point used, you might receive the default error of 003-21XX when the device is reset.\nCONFIDENTIAL\n",0]
,["Pages/Page_47818271.html","4. Generating Errors",
"4. Generating Errors\n",0]
,["Pages/Page_47818271.html#PageId_47818280","4.1. Generating Error Code 001-0803",
"4.1. Generating Error Code 001-0803\nError code 001-0803 is returned by the friend library. This error code is caused by a failure to connect to the authentication server. It cannot occur when you connect to the Authentication Server Error Simulator. You must generate it through the following procedure.\n \tConfirm that you can connect to the Authentication Server Error Simulator from the software with support for Nintendo Network that you want to check. Note: At this time, set a 002-XXXX error with the authentication server error simulator. When 003-XXXX is set, the 001-0803 error code is not generated. \tPrevent packets from being sent to the Authentication Server Error Simulator using a packet filter in the access point’s settings. Stop the sending of packets on TCP port 443 to 52.198.35.17 for the retail version of the software or to 54.65.151.95 for the test version of the software. \tTry to authenticate using the software with support for Nintendo Network that you want to check.\n Note:\n The IP address indicated in step 2 could change in the future as a result of changes to the authentication server error simulator infrastructure. You can check the latest value by running the following command on the PC for error settings.\n \tFor the retail product: nslookup nasc.nintendowifi.net X.X.X.XNote: X.X.X.X is the IP address for a dummy DNS server.(For example: nslookup nasc.nintendowifi.net 192.168.0.1) \tFor the test product: nslookup nasc.test.nintendowifi.net X.X.X.XNote: X.X.X.X is the IP address for a dummy DNS server.(For example: nslookup nasc.test.nintendowifi.net 192.168.0.1)\n",0]
,["Pages/Page_47818271.html#PageId_47818285","4.2. Generating 002-XXXX Error Codes",
"4.2. Generating 002-XXXX Error Codes\n \tThe settings for connecting to the authentication server error simulator are as indicated in 2.2.1. Manual DNS Settings for the Nintendo 3DS. \tConnect to the Authentication Server Error Simulator from your computer and set the error code that you want to generate, referring to Table 2-1 List of Selectable Authentication Errors. \tTry to authenticate from the Nintendo Network-compatible software that you want to check.\n",0]
,["Pages/Page_47818271.html#PageId_47818849","4.3. Generating 003-XXXX Error Codes",
"4.3. Generating 003-XXXX Error Codes\n",0]
,["Pages/Page_47818271.html#PageId_47818855","4.3.1. Generating Error Codes Using the Tool",
"4.3.1. Generating Error Codes Using the Tool\nYou can use the NZSimulator.cia tool included in the package to check for errors that are generated when the CTR system attempts to connect to Nintendo Zone or a hotspot from an application with connection restrictions. You can prepare an environment to cause this error by running NZSimulator.cia on a development unit. The generated error code varies depending on the firmware version of the 3DS system you are using. See Table 4-1. System Firmware Versions and Corresponding Generated Error Codes.\n Table 4-1. System Firmware Versions and Corresponding Generated Error Codes\n \tSystem Firmware Version \tGenerated Error Code\n \t 0.15.0 or later\n \t 003-3305\n \t 0.14.24 or earlier\n \t 003-3505\n ",0]
,["Pages/Page_47818271.html#PageId_47818866","4.3.1.1. Running the Tool Using a Development Unit",
"4.3.1.1. Running the Tool Using a Development Unit\nTo use NZSimulator.cia, you must prepare a separate development unit from the 3DS that runs the application you want to test. You must also configure the Internet connection settings for DS software on the development unit. For instructions on importing NZSimulator.cia, see the Readme file included with this package.\nTo use NZSimulator.cia, follow this procedure.\n \tOn the development unit, from the HOME Menu, select System Settings, and then in Internet Settings > DS Software Settings, set the access point to connect to the Internet.\tTo perform DS Software Settings, you must start System Settings from the HOME Menu rather than the TEST Menu.\n \tConfigure the settings so that you do not connect to the access point either by erasing connection targets 1 to 3 on the 3DS that runs the software to confirm the error, or by changing the SSID. \tUse the development unit configured in step 1 to start NZSimulator. After NZSimulator is running, a Nintendo Zone signal that causes one of the errors is generated. \tConnect from the 3DS unit to the Nintendo Zone for which the development unit is the host.\tThe CTR normally connects to the Nintendo Zone automatically.\n \tFrom the 3DS HOME Menu, start the software used to verify errors, and try to connect to the Internet.\tIf signal strength is low, error 003-1099 (connection target not found) might occur if the CTR cannot connect to the Nintendo Zone.\n\tThe network daemon cannot establish a connection in the background immediately after the execution of the nn::uds::Finalize() or nn::ndm::SuspendScheduler() function. If the nn::ac::Connect() function is called at this time, the error code 003-1099 is generated if this tool is being used. This behavior is part of the specification. If your implementation is similar, it is not a problem if error code 003-3305 is not generated.\tIf the intended error does not appear, make sure that wireless communications is turned on for the development unit that is running NZSimulator. Wireless communication cannot be turned on after starting NZSimulator. If wireless communication is off, first exit NZSimulator and enable wireless communication, and then restart NZSimulator.\n",0]
,["Pages/Page_47818271.html#PageId_47818872","4.3.2. Generating Other Error Codes",
"4.3.2. Generating Other Error Codes\nFor information about reproducing other errors under error code 003-XXXX, see the error code list.\n",0]
,["Pages/Page_47818271.html#PageId_47818877","4.4. Generating 006-XXXX Error Codes",
"4.4. Generating 006-XXXX Error Codes\nAfter software using the NEX library has performed authentication, it connects to a game server via the NEX library to enable the use of the presence feature, matchmaking, and similar features. The Authentication Server Error Simulator is not used to check for errors that are generated when connecting to the game server via the NEX library.\nThe following table shows the procedure for generating errors for each error code.\n This error does not occur in software that only uses the nn::nex::IndependentServer::RequestAuthenticationToken function because the NEX game server is not accessed. For this reason, you do not need to check the error codes in Table 4-1. Generating 006-XXXX Error Codes for such software.\n Table 4-1. Generating 006-XXXX Error Codes\n \tError Codes \tDescription of Errors and Generation Procedure\n \t006-0502 \t Generated when connection to the game server cannot be established.\n \tVerify that the Nintendo Network-compatible software being checked can connect to the game server. \tVerify the global IP address obtained by resolving the errorsimulationmanual-nexlogin-d1.mng.nintendo.net domain with ping or nslookup. \tUsing the packet filter from the access point settings, stop sending packets to the IP address obtained in step 2. Try connecting to the game server, and verify that this error code is generated.\n \t006-0612 \t Generated when joining a P2P session fails.\n Error code 006-0612 is generated only by software that uses the NEX matchmaking features and uses the NEX NetZ library with P2P communication.\n \tPrepare two Nintendo 3DS units (CTR A, CTR B) to perform matchmaking. \tVerify the global IP address used by CTR A. \tUsing the packet filter from the settings of the access point used by CTR B, stop packet transmission to the IP address (to CTR A) verified in step 2. \tPerform matchmaking with CTR A and CTR B, and then try to join a P2P session.\n In addition, if the NEX version is 2.x or earlier, you can generate error code 006-0612 by using the following method.\n \tConfirm that you can perform matchmaking using the software using the NEX library that you want to check. \tUsing the packet filter from the access point settings, stop sending packets to addresses 202.32.117.142 and 202.32.117.143. \tTry to perform matchmaking using the software using the NEX library that you want to check, and then try to join a P2P session.\n Note:\n If the Pia library is used with P2P communication, this procedure generates one of the error codes listed inFigure 4-2. Error Codes Generated When Using Pia Library instead of error code 006-0612. The error code generated at this time differs depending on the NAT type of the network environment. For the NAT types of the error codes generated with the Pia library, see the error code list.\n Error 006-0532 may occur during this process depending on the NEX features used. This is not a problem.\n Figure 4-2. Error Codes Generated When Using Pia Library\n \tPia Versions Earlier Than 3.6.0 \tPia 3.6.0 and Later\n \t018-0201 \t018-0201\n \t018-0510 \t018-0510\n \t018-0511 \t018-0513\n \t018-0512 \t018-0514\n \t \t018-0515\n \t \t018-0516\n \t006-0811 \t This maintenance error does not need to be verified if appropriate error handling is being performed.\n If this error needs to be verified, it is possible to temporarily set the game server to return a maintenance error. Contact Nintendo on the OMAS message boards. When this setting is implemented, a maintenance error will be returned to all users who connect to game servers of target titles.\n \tOther error codes \tCurrently, you do not need to check any other 006-XXXX error codes.\n",0]
,["Pages/Page_47818271.html#PageId_48929895","4.5. Generating Error Codes 015-XXXX",
"4.5. Generating Error Codes 015-XXXX\n Error codes of the form 015-XXXX represent errors generated for OLV-related reasons.\n The following table shows the procedure for generating errors for each error code.\n Table 4-2. Generating 015-XXXX Error Codes\n \tError Codes \tDescription of Errors and Generation Procedure\n \t015-1002 \t Generated when browsing and posting to the Miiverse is not allowed because of parental control.\n \tOn the 3DS, in the Parental Controls, select Miiverse and Restrict Viewing and Posting. \tGo to a scene that allows viewing of or posting to Miiverse, and check that game software generates this error code.\n \t015-1003 \t Generated when posting to the Miiverse is not allowed because of parental control.\n \tParental Controls On the 3DS, in the Parental Controls, select Miiverse and Restrict Posting. \tGo to a scene that allows posting to Miiverse, and check that game software generates this error code.\n \t015-5003 \t Generated when the server is undergoing maintenance.\n \tPrepare a network account with the Nintendo Network ID starting with 5003-. \tGo to a scene that uses Miiverse features, and check that game software generates this error code.\n Note: In the production environment, this procedure does not generate this error.\n \t015-5110 \t Generated because the official community you attempted to post to or get does not exist.\n Note: This error does not always occur using the following procedure in cases when you get the official community list to check whether the target community for posting exists before posting.\n In cases where an official community has not yet been established, check that an error code occurs. If an official community has already been established, set the opening date of the official community to 0000-00-00 00:00:00 in MMAS, and then verify that an error code occurs. Also, when returning it to the original setting after verification, set the opening date to a past date.\n",0]
,["Pages/Page_47818271.html#PageId_47820028","4.6. Generating 022-XXXX Error Codes",
"4.6. Generating 022-XXXX Error Codes\n Error codes of the form 022-XXXX represent account errors.\n The following table shows the procedure for generating errors for each error code.\n Table 4-3. Generating 022-XXXX Error Codes\n \tError Codes \tDescription of Errors and Generation Procedure\n \t022-2503 \t Generated when the latest EULA has not been agreed to.\n \t On the Account Developer Portal test ID management screen, select the desired Nintendo Network ID and open the user dashboard.\n \t On the dashboard, in the Action section, select the Agreement Management option to transition to the accepted EULA management screen.\n \tClick the Reset button by any of the accepted EULA items to cancel the acceptance of that EULA. \tRestart the 3DS system, call the following functions in the application, and confirm that the error code occurs.\tIndependent server token retrieval function (nn::act::applet::AcquireIndependentServiceToken())\tMiiverse token retrieval function (nn::act::applet::AcquireOlvServiceToken())\tEC applet initialization function (nn::ec::CTR::EcApplet::RequestInitializeSession())\n Note: This error no longer occurs in the system with the system update in December 2014 (System Version 9.3.0) or later.\n \t022-2512 \t Generated when an application update is required.\n \tOn the Account Developer Portal test ID management screen, select the desired Nintendo Network ID and open the user dashboard. \tOn the dashboard, in the Action section, select the App Test List option to transition to the screen for testing applications. \tClick the Add App Test button to transition to the screen for adding app tests. \tIn Application Test, select Version Not Available Test. In Application, select the title you want to test, and then set the application. \tClick the Add button. The App Test List screen appears. Verify that \"The App Test has been successfully added.\" is displayed. \tRestart the 3DS system, call the following service token retrieval functions in the application, and confirm that the error code occurs.\tIndependent server token retrieval function (nn::act::applet::AcquireIndependentServiceToken())\tMiiverse token retrieval function (nn::act::applet::AcquireOlvServiceToken())\n \t022-2631 \t Generated when the network account is deleted from another device.\n Note that you cannot use a Nintendo Network ID after performing this action.\n \tIn the Account Developer Portal, on the screen for managing test IDs, click the Delete button to the right of the target Nintendo Network ID. \tA confirmation screen appears. Click the Delete button. \tVerify that the \"Request is successful\" message appears. \tRestart the 3DS system, call the following functions in the application, and confirm that the error code occurs.\n \t \tIndependent server token retrieval function (nn::act::applet::AcquireIndependentServiceToken()) \tMiiverse token retrieval function (nn::act::applet::AcquireOlvServiceToken()) \tEC applet initialization function (nn::ec::CTR::EcApplet::RequestInitializeSession())\n \t022-2803 \t Generated when use of network services stops at the account level for the specified unique ID.\n \tOn the Account Developer Portal test ID management screen, select the desired Nintendo Network ID and open the user dashboard. \tOn the dashboard, in the Action section, select the BAN Management option to transition to the screen for setting the ban status for user accounts. \tClick the Add BAN button to transition to the Add BAN screen. \tIn Ban Type, select User + Game. \tIn 3DS Title, select the target title. \tClick the Create Ban button, and then verify that the \"A ban has been successfully created.\" message appears. \tRestart the 3DS system, call the following service token retrieval functions in the application, and confirm that the error code occurs.\tIndependent server token retrieval function (nn::act::applet::AcquireIndependentServiceToken())\tMiiverse token retrieval function (nn::act::applet::AcquireOlvServiceToken())\n \t022-2812 \t Generated when use of all network services stops at the device level.\n \tOn the Account Developer Portal test ID management screen, select the desired Nintendo Network ID and open the user dashboard. \tOn the dashboard, in the Associated Device list, select the target device to transition to the dashboard for that device. \tOn the dashboard, in the Action menu, select BAN Management to transition to the screen for setting the ban status for devices. \tClick the Add BAN button to transition to the Add BAN screen. \tIn Ban Type, select Device Access. \tClick the Create Ban button, and then verify that the \"A ban has been successfully created.\" message appears. \tRestart the 3DS system, call the following functions in the application, and confirm that the error code occurs.\tIndependent server token retrieval function (nn::act::applet::AcquireIndependentServiceToken())\tMiiverse token retrieval function (nn::act::applet::AcquireOlvServiceToken())\tEC applet initialization function (nn::ec::CTR::EcApplet::RequestInitializeSession())\n \t022-2813 \t Generated when use of network services stops at the device level for the specified ID.\n \tOn the Account Developer Portal test ID management screen, select the desired Nintendo Network ID and open the user dashboard. \tOn the dashboard, in the Associated Device list, select the target device to transition to the dashboard for that device. \tOn the dashboard, in the Action section, select BAN Management to transition to the screen for setting the ban status for devices. \tClick the Add BAN button to transition to the Add BAN screen. \tIn Ban Type, select Device + Game. \tIn 3DS Title, select the target title. \tClick the Create Ban button, and then verify that the \"A ban has been successfully created.\" message appears. \t Restart the 3DS system, call the following service token retrieval functions in the application, and confirm that the error code occurs.\n \t Independent server token retrieval function (nn::act::applet::AcquireIndependentServiceToken())\n \tMiiverse token retrieval function (nn::act::applet::AcquireOlvServiceToken())\n \t022-2881 \t Generated when the service is undergoing maintenance.\n \tOn the Account Developer Portal test ID management screen, select the desired Nintendo Network ID and open the user dashboard. \tOn the dashboard, in the Action section, select the App Test List option to transition to the screen for testing applications. \tClick the Add App Test button to transition to the screen for adding app tests. \tIn Application Test, select Maintenance Mode. In Application, select the title you want to test, and then set the application. \tClick the Add button. The App Test List screen appears. Verify that \"The App Test has been successfully added.\" is displayed. \tRestart the 3DS system, call the following service token retrieval functions in the application, and confirm that the error code occurs.\tIndependent server token retrieval function (nn::act::applet::AcquireIndependentServiceToken())\tMiiverse token retrieval function (nn::act::applet::AcquireOlvServiceToken())\n \t022-2882 \t Generated when a services has already been terminated.\n \tOn the Account Developer Portal test ID management screen, select the desired Nintendo Network ID and open the user dashboard. \tOn the dashboard, in the Action section, select the App Test List option to transition to the screen for testing applications. \tClick the Add App Test button to transition to the screen for adding app tests. \tIn Application Test, select App End Date Expiration Test. In Application, select the title you want to test, and then set the application. \tClick the Add button. The App Test List screen appears. Verify that \"The App Test has been successfully added.\" is displayed. \tRestart the 3DS system, call the following service token retrieval functions in the application, and confirm that the error code occurs.\tIndependent server token retrieval function (nn::act::applet::AcquireIndependentServiceToken())\tMiiverse token retrieval function (nn::act::applet::AcquireOlvServiceToken())\n Note:\n In the Nintendo Network ID authentication that occurs when the EC applet starts, errors (022-2803, 022-2813, 022-2881, 022-2882) do not occur when the Account Developer Portal has been configured for a particular application. In that case, the EC applet authenticates the Nintendo Network ID rather than the application.\nCONFIDENTIAL\n",0]
,["Pages/Page_47818910.html","5. Revision History　",
"5. Revision History　\n \tVersion \tRevision Date \tCategory \tDescription\n \t6.0 \t2017-09-22 \tChanges \t \t 2.1. Framework for the Authentication Server Error Simulator Changed the text for how to configure the domain name system. \t 2.2.1. Manual Domain Name Settings for the Nintendo 3DS Changed the page title. Changed the procedure. Added notes. \t 2.2.2. Setting the Error Response Changed the procedure. \t 4.1. Generating Error Code 001-0803Changed the IP address in step 2. Added notes. \t 4.2. Generating 002-XXXX Error Codes Changed the procedure.\n \t5.0 \t2017-05-24 \tChanges \t \tAccessing the Account Developer Portal Added that permissions to view at least one title on OMAS are required to access the Account Developer Portal. \tGenerating 006-XXXX Error Codes Added comments about 006-0532 in the information column for error code 006-0532.\n \t4.3 \t2016-07-25 \tChanges \t \t4.4. Generating 006-XXXX Error CodesChanged information about 006-0502.\n \t4.2 \t2016-05-16 \tChanges \t \tGenerating 006-XXXX Error CodesChanged information about 006-0811. \tGenerating 022-XXXX Error CodesAdded information about 022-2503.\n \t4.1 \t2016-02-25 \tAdditions \t \tAuthentication Server Error Simulator\n \tChanges \t \tGeneralCorrected errors. \tAccount Developer PortalDeleted old information. Updated the description of NDID. \tUsing the Authentication Server Error SimulatorMoved the leading paragraph to Authentication Server Error Simulator. \tAdding AccountsRevised the text. \tApplication Test Settings Added each function. \tSettings for Banning a User Account (BAN Management)Changed the title. \tGenerating Other Error CodesFixed the name of the error code list. \tGenerating 006-XXXX Error CodesFixed the name of the error code list. \tGenerating 015-XXXX Error CodesEntered information about MMAS.\n \t4.0 \t2015-03-18 \tAdditions \t \tAccount Developer Portal\n \tChanges \t \tGeneralChanged the wording of the UI to match the Account Developer Portal. \tIntroductionChanged the title. \tAccessing the Account Developer PortalEntered information about NDID. \tEditing ProfilesAdded an item. \tGenerating 006-XXXX Error CodesDeleted an incorrect description of the access key settings.\n \t3.0 \t2014-10-24 \tAdditions \t \tGenerating Error Codes 015-XXXX\n \tChanges \t \tGeneralChanged information to reflect the 3DS family. Changed the wording of the UI. Changed \"associate\" to \"register.\" \t1. IntroductionNoted that the term \"3DS\" indicates the Nintendo 3DS family. \t2.2.2. Setting the Error ResponseAdded information about 3DS devices that can cause errors. \t4.4. Generating 006-XXXX Error CodesChanged the NEX version in the NEX Version and Game ID section. \t4.6. Generating 022-XXXX Error CodesAdded information about the function for getting the Miiverse token and the EC applet initialization function.\n \t2.0 \t2014-05-20 \tAdditions \t \t4.5. Generating 022-XXXX Error Codes\n \tChanges \t \t2.2.2. Setting the Error ResponseChanged the target URL. \t4.3.1. Generating Error Codes Using the ToolRemoved the mention of NZSimulator_fg_off.srl. \t4.3.1. Generating Error Codes Using the ToolUnified \"Nintendo 3DS development unit\" terminology to use \"CTR development unit.\" \t4.3.1.1. Running the Tools Using a CTR Development UnitRenamed the section from \"Procedure to Run the Tools Using a Nintendo 3DS Development Unit.\" Unified \"Nintendo 3DS development unit\" terminology to use \"CTR development unit.\" Clearly noted that the DS connection settings must be used at the beginning. Clearly noted that a separate CTR development unit must be prepared in addition to the CTR that runs the application to be tested. \t4.4. Generating 006-XXXX Error CodesAdded that NEX errors do not occur when only the nn::nex::IndependentServer::RequestAuthenticationToken function is used. \tReformatted the error codes as a table.\n \tDeletions \t \t4.3.1.2. Running the Tools Using a Nintendo DS Development Unit\n \t1.2 \t2014-03-24 \tChanges \t \t3.4.2. Generating Error Code 006-0612Added a note about error code 018-0510, which was missing from the list of error codes generated when using the Pia library. Added that different error codes are generated when using Pia 3.6.0 and later versions of the Pia library.\n \t1.1 \t2013-06-14 \tChanges \t \t3.3.1.1. Running the Tools Using a Nintendo 3DS Development UnitAdded that wireless communication must be on when running tools.\n \t1.0 \t2013-06-11 \tAdditions \t \t3.3.1.1. Procedure to Run the Tools Using a Nintendo 3DS Development Unit.\n \tChanges \t \tRevised the network service name to \"Nintendo Network.\" \t2.2.2. Procedure for Setting the Error ResponseAdded text about the user ID and password for the error simulation server.Added a note. \t3.1. Generating Error Code 001-0803Added that this error code is returned from the friend library.Added to the procedures that 002-XXXX must be set in advance. \t3.4.2. Generating Error Code 006-0612Added that this error code is returned when the NEX NetZ library is used.Revised the procedure.Added a note. \t3.4.3. Generating Error Code 006-0811Added text about the key hash value when using with an independent server.\n \t0.5 \t2011-07-28 \tAdditions \t \t3.4. Generating 006-XXXX Error Codes \t4.1. Generating Error Code 006-0502 \t4.2. Generating Error Code 006-0612\n \tChanges \t \t3.3.1. Generating Error Codes Using the ToolAdded text about the generation of error code 003-1099. \t3.4.3. Generating Error Code 006-0811 Added text about the correspondence between the NEX version and the game ID.\n \t0.4 \t2011-04-04 \tAdditions \t \t4. Using the Game Server Error Simulator\n \tChanges \t \t3.3. Generating 003-XXXX Error CodesAdded system firmware versions and corresponding generated error codes.Changed the procedure so that the HOME Menu is used to start the application.\n \t0.3 \t2011-02-08 \tAdditions \t \t3.3.1. Generating Error Code 003-3505 \t3.3.2. Generating Error Codes Other Than 003-3505\n \tChanges \t \tReworked document styling. \t2.2. Setting Errors Changed IP addresses and URLs.Changed notes. \t3.1. Generating Error Code 001-0803Changed IP addresses.\n \t0.2 \t2011-01-21 \tChanges \t \tTable 2-1. List of Selectable Authentication ErrorsAdded a note about friend server authentication. \t3. Generating ErrorsChanged the section title and order of subsections.\n \t0.1 \t2010-12-01 \t -\n \t \tInitial version.\nCONFIDENTIAL\n",0]
,["template/js/jquery/jQuery_LICENSE.txt","jQuery_LICENSE.txt",
"◆ jQuery 1.11.3\nCopyright 2014 jQuery Foundation and other contributors\nhttp://jquery.com/\nPermission is hereby granted, free of charge, to any person obtaining\na copy of this software and associated documentation files (the\n\"Software\"), to deal in the Software without restriction, including\nwithout limitation the rights to use, copy, modify, merge, publish,\ndistribute, sublicense, and/or sell copies of the Software, and to\npermit persons to whom the Software is furnished to do so, subject to\nthe following conditions:\nThe above copyright notice and this permission notice shall be\nincluded in all copies or substantial portions of the Software.\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND\nNONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE\nLIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION\nWITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n",0]
];
for (var x = 0; x < additionalData.length; x++) Search.indexData.push(additionalData[x]);
Search.additionalData = additionalData;
})();
